// Copyright 2022 schukai GmbH
// SPDX-License-Identifier: AGPL-3.0

package configuration

import "io"

type reader struct {
	format Format
	reader io.Reader
}

type streamBackend struct {
	readers []reader
}

func (s *Settings[C]) AddReader(r io.Reader, format Format) *Settings[C] {
	s.Lock()
	defer s.Unlock()
	s.stream.readers = append(s.stream.readers, reader{format, r})
	return s
}
